[Ubuntu 18.04] Backward migration of Ubuntu 16.04.4 P8 guest from Ubuntu 18.04 P9 Host -> Ubuntu 16.04.4 P8 host is broken

Bug #1809083 reported by bugproxy on 2018-12-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Server Team
qemu (Ubuntu)
Undecided
Ubuntu on IBM Power Systems Bug Triage
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]

 * Users migrating between 16.04 on power8 and 18.04 on poer9 can not
   migrate back (the very same guest)

 * IBM identified a set of qemu fixes that will make the migration work
   as it is not impossible but mostly due to a misadvertisement in
   features in the p8 compat mode.

[Test Case]

 * Get two hosts:
   - Ubuntu 16.04 on power8
     - remember that on p8 you need to disable smt
       $ ppc64_cpu --smt=off
   - Ubuntu 18.04 on power9
 * create the same guest on both
    $ uvt-kvm create --password=ubuntu b-x release=bionic arch=ppc64el label=daily
    Shut it down and undefine it on the 18.04 box (that is only to lay
    out the files)
    $ virsh shutdown b-x
    $ virsh undefine b-x
 * Shut down the guest on 16.04 and mark it as explcit p8 compat
   in libvirt
  <cpu mode='host-model'>
    <model fallback='allow'>power8</model>
  </cpu>
 * Backwards migration is a best-effort but not fully supported feature,
   so --copy-storage-all won't work as there is a nbd issue between qemu
   2.5/2.11, so you'll need shared storage
   -> set up shared storage and modify the guest to use that
   -> for the sake of simplifying testing you can use copy-storage-all
      from X->B but not reverse (and ignore potential minor I/Os being
      lost)
 * Migrate the guest to the 18.04 host
   $ virsh migrate --live --verbose b-x qemu+ssh://10.245.71.162/system
 * Migrate the guest back to the 16.04 host
   $ virsh migrate --live --verbose b-x qemu+ssh://10.245.71.181/system

Without the fix on the way back you will encounter:
  Migration: [100 %]error: operation failed: job: unexpectedly failed
And in the log:
  qemu-system-ppc64: error while loading state for instance 0x0 of device 'cpu'
  qemu-system-ppc64: load of migration failed: Invalid argument

With the fix the migration works as expected

[Regression Potential]

 * The changes are ppc64 only and identified/suggested by IBM so any
   fallout should be limited to ppc64 which is their domain
 * Furthermore it only affects pre 2.8 guest types, so anything spawned
   on 18.04 is unaffected by the changes (as it will default to 2.11)
 * The remaining regression "potential" would be around guests migrated
   from 16.04 to 18.04 that after the update behave slightly different
   (more correct, but different)

[Other Info]

 * Fixes are only needed on the newer qemu to handle older guests (pre
   2.8 and xenial is 2.5) with power8 compat in a way that they can
   be migrated back.

== Comment: #0 - Balamuruhan S - 2018-05-02 08:09:21 ==
---Problem Description---
Backward migration of Ubuntu 16.04.4 P8 guest from Ubuntu 18.04 P9 Host -> Ubuntu 16.04.4 P8 host fails

# virsh -c qemu+ssh://9.40.194.204/system migrate avocado-vt-vm1-migration qemu+ssh://9.47.70.201/system --live --verbose
root@9.47.70.201's password:
Migration: [ 99 %]error: internal error: early end of file from monitor, possible problem: 2018-05-02T12:49:07.324377Z qemu-system-ppc64: error while loading state for instance 0x0 of device 'cpu'
2018-05-02T12:49:07.332143Z qemu-system-ppc64: load of migration failed: Invalid argument

This is broken because cpu model QEMU 2.5 (-cpu host,compat=power8) and QEMU 2.11 (-machine max-cpu-compat=power8) known for latest qemu (Ubuntu 18.04) is not compatible with older qemu in (Ubuntu 16.04.4).

Machine Type = Boston

---Steps to Reproduce---
1. Boot healthy P8 16.04.4 Ubuntu guest with explicit compat mode setting on P8 host due to the reason mentioned on https://bugzilla.linux.ibm.com/show_bug.cgi?id=166667#c22,

<cpu mode='host-model'>
 <model>power8</model>
</cpu>

2. Have P9 Host with 18.04 Ubuntu build and allow iptables to permit migration

3. Perform migration from Ubuntu 16.04.4 -> Ubuntu 18.04 and it works as expected,

# virsh migrate avocado-vt-vm1-migration qemu+ssh://9.40.194.204/system --live --verbose
Migration: [100 %]

4. Perform backward migration of the same guest from Ubuntu 18.04 P9 host -> Ubuntu 16.04.4 P8 host and it is broken,

# virsh -c qemu+ssh://9.40.194.204/system migrate avocado-vt-vm1-migration qemu+ssh://9.47.70.201/system --live --verbose
root@9.47.70.201's password:
Migration: [ 99 %]error: internal error: early end of file from monitor, possible problem: 2018-05-02T12:49:07.324377Z qemu-system-ppc64: error while loading state for instance 0x0 of device 'cpu'
2018-05-02T12:49:07.332143Z qemu-system-ppc64: load of migration failed: Invalid argument

---uname output---

Ubuntu 18.04 P9 Host:

Kernel
# uname -a
Linux ltc-boston114 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:14:44 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux

Qemu:
# dpkg -l | grep qemu
ii ipxe-qemu 1.0.0+git-20180124.fbe8c52d-0ubuntu2 all PXE boot firmware - ROM images for qemu
ii ipxe-qemu-256k-compat-efi-roms 1.0.0+git-20150424.a25a16d-0ubuntu2 all PXE boot firmware - Compat EFI ROM images for qemu
ii qemu 1:2.11+dfsg-1ubuntu7 ppc64el fast processor emulator
ii qemu-block-extra:ppc64el 1:2.11+dfsg-1ubuntu7 ppc64el extra block backend modules for qemu-system and qemu-utils
ii qemu-kvm 1:2.11+dfsg-1ubuntu7 ppc64el QEMU Full virtualization on x86 hardware
ii qemu-slof 20170724+dfsg-1ubuntu1 all Slimline Open Firmware -- QEMU PowerPC version
ii qemu-utils 1:2.11+dfsg-1ubuntu7 ppc64el QEMU utilities
ii qemu-utils 1:2.11+dfsg-1ubuntu7 ppc64el QEMU utilities

Libvirt:
# dpkg -l | grep libvirt
ii libvirt-bin 4.0.0-1ubuntu8 ppc64el programs for the libvirt library
ii libvirt-clients 4.0.0-1ubuntu8 ppc64el Programs for the libvirt library
ii libvirt-daemon 4.0.0-1ubuntu8 ppc64el Virtualization daemon
ii libvirt-daemon-system 4.0.0-1ubuntu8 ppc64el Libvirt daemon configuration files
ii libvirt-dev:ppc64el 4.0.0-1ubuntu8 ppc64el development files for the libvirt library
ii libvirt-doc 4.0.0-1ubuntu8 all documentation for the libvirt library

Ubuntu 16.04.4 P8 Host:

Kernel:
# uname -a
Linux pkvmhab006 4.13.0-39-generic #44~16.04.1-Ubuntu SMP Thu Apr 5 16:41:53 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux

Qemu:
# dpkg -l | grep qemu
ii ipxe-qemu 1.0.0+git-20150424.a25a16d-1ubuntu1.2 all PXE boot firmware - ROM images for qemu
ii qemu-block-extra:ppc64el 1:2.5+dfsg-5ubuntu10.25 ppc64el extra block backend modules for qemu-system and qemu-utils
ii qemu-kvm 1:2.5+dfsg-5ubuntu10.25 ppc64el QEMU Full virtualization
ii qemu-slof 20151103+dfsg-1ubuntu1.1 all Slimline Open Firmware -- QEMU PowerPC version
ii qemu-system-common 1:2.5+dfsg-5ubuntu10.25 ppc64el QEMU full system emulation binaries (common files)
ii qemu-system-ppc 1:2.5+dfsg-5ubuntu10.25 ppc64el QEMU full system emulation binaries (ppc)
ii qemu-utils 1:2.5+dfsg-5ubuntu10.25 ppc64el QEMU utilities

Libvirt:
# dpkg -l | grep libvirt
ii libvirt-bin 1.3.1-1ubuntu10.21 ppc64el programs for the libvirt library
ii libvirt-dev:ppc64el 1.3.1-1ubuntu10.21 ppc64el development files for the libvirt library
ii libvirt0:ppc64el 1.3.1-1ubuntu10.21 ppc64el library for interfacing with different virtualization systems
ii python-libvirt 1.3.1-1ubuntu1.1 ppc64el libvirt Python bindings

Ubuntu 16.04.4 P8 Guest:

Kernel:
# uname -a
Linux ubuntu 4.13.0-39-generic #44~16.04.1-Ubuntu SMP Thu Apr 5 16:41:53 UTC 2018 ppc64le ppc64le ppc64le GNU/Linux

Attachment:
1. Libvirtd debug logs: source and destination host
2. Sosreport: source host, destination host and Guest

---Debugger---
A debugger is not configured

Userspace tool common name: qemu

Userspace rpm: qemu-kvm - 1:2.11+dfsg-1ubuntu7

The userspace tool has the following bit modes: ppc64le

Userspace tool obtained from project website: na

== Comment: #5 - Greg Kurz - 2018-05-04 07:21:05 ==
Backward migration had three distinct issues. Fixes are now upstream:

https://git.qemu.org/?p=qemu.git;a=commit;h=bce009645b9f1d59195518e35747c8ea30f985f7
https://git.qemu.org/?p=qemu.git;a=commit;h=aef19c04bf88e0f5f936301e6c29b239e488fbc6
https://git.qemu.org/?p=qemu.git;a=commit;h=0550b1206a91d66051a21441a02c4ff126b531fe

I'll make sure they land into QEMU 2.11.2 and QEMU 2.12.1 as well.

== Comment: #6 - Balamuruhan S <email address hidden> - 2018-06-08 07:49:51 ==
Tested with latest qemu build available for Ubuntu 18.04,

Issue is still observed with Qemu available in Ubuntu 18.04, I think the patchset is not
included in Qemu 1:2.11+dfsg-1ubuntu7.2

Migrating P8 Ubuntu16.04.4 guest from P8 Ubuntu 16.04.4 host -> P9 Ubuntu 18.04 host
# virsh migrate avocado-vt-vm1-migration qemu+ssh://9.40.193.215/system --live --verbose
Migration: [100 %]

Migrating back P8 Ubuntu 16.04.4 guest from P9 Ubuntu 18.04 host -> P8 Ubuntu 16.04.4 host
# virsh -c qemu+ssh://9.40.193.215/system migrate avocado-vt-vm1-migration qemu+ssh://9.47.70.201/system --live --verbose
root@9.47.70.201's password:
Migration: [100 %]error: internal error: early end of file from monitor, possible problem: 2018-06-08T12:46:40.743395Z qemu-system-ppc64: error while loading state for instance 0x0 of device 'cpu'
2018-06-08T12:46:40.751718Z qemu-system-ppc64: load of migration failed: Invalid argument

P9 Ubuntu 18.04:

Qemu
# dpkg -l | grep qemu
ii ipxe-qemu 1.0.0+git-20180124.fbe8c52d-0ubuntu2 all PXE boot firmware - ROM images for qemu
ii ipxe-qemu-256k-compat-efi-roms 1.0.0+git-20150424.a25a16d-0ubuntu2 all PXE boot firmware - Compat EFI ROM images for qemu
ii qemu-block-extra:ppc64el 1:2.11+dfsg-1ubuntu7.2 ppc64el extra block backend modules for qemu-system and qemu-utils
ii qemu-kvm 1:2.11+dfsg-1ubuntu7.2 ppc64el QEMU Full virtualization on x86 hardware
ii qemu-slof 20170724+dfsg-1ubuntu1 all Slimline Open Firmware -- QEMU PowerPC version
ii qemu-system-common 1:2.11+dfsg-1ubuntu7.2 ppc64el QEMU full system emulation binaries (common files)
ii qemu-system-ppc 1:2.11+dfsg-1ubuntu7.2 ppc64el QEMU full system emulation binaries (ppc)
ii qemu-utils 1:2.11+dfsg-1ubuntu7.2 ppc64el QEMU utilities

P8 Ubuntu 16.04.4:

Qemu
# dpkg -l | grep qemu
ii ipxe-qemu 1.0.0+git-20150424.a25a16d-1ubuntu1.2 all PXE boot firmware - ROM images for qemu
ii qemu-block-extra:ppc64el 1:2.5+dfsg-5ubuntu10.29 ppc64el extra block backend modules for qemu-system and qemu-utils
ii qemu-kvm 1:2.5+dfsg-5ubuntu10.29 ppc64el QEMU Full virtualization
ii qemu-slof 20151103+dfsg-1ubuntu1.1 all Slimline Open Firmware -- QEMU PowerPC version
ii qemu-system-common 1:2.5+dfsg-5ubuntu10.29 ppc64el QEMU full system emulation binaries (common files)
ii qemu-system-ppc 1:2.5+dfsg-5ubuntu10.29 ppc64el QEMU full system emulation binaries (ppc)
ii qemu-utils 1:2.5+dfsg-5ubuntu10.29 ppc64el QEMU utilities

== Comment: #11 - Greg Kurz - 2018-12-14 04:11:37 ==

According to the QEMU website at https://www.qemu.org/ , QEMU 2.11.2 got released on Jun 27, 2018.

According to the Ubuntu release page at https://wiki.ubuntu.com/Releases , Ubuntu 18.04.1 LTS to released on July 26, 2018.

greg@wslp001:~$ lsb_release -d
Description: Ubuntu 18.04.1 LTS
greg@wslp001:~$ qemu-system-ppc64 --version
QEMU emulator version 2.11.1(Debian 1:2.11+dfsg-1ubuntu7.9)
Copyright (c) 2003-2017 Fabrice Bellard and the QEMU Project developers

I don't know why Canonical didn't pick up the latest stable release... and I'm not sure that fixing backward migration meets the criteria for an SRU.

Related branches

bugproxy (bugproxy) on 2018-12-19
tags: added: architecture-ppc64le bugnameltc-167401 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → qemu (Ubuntu)
Changed in ubuntu-power-systems:
importance: Undecided → High
assignee: nobody → Canonical Server Team (canonical-server)

All those changes are in qemu 3.0 and later so there it will be covered by our merge of qemu 3.1
Once that is done we can consider adding the three changes linked here to the qemu in Bionic and Cosmic.

For your wondering "I'm not sure that fixing backward migration meets the criteria for an SRU.":
- it is not guaranteed to be working (not fully supported)
- but if one provides the means (fixes, howto) avoid issue we are willing to help getting them applied

For your wondering about "why Canonical didn't pick up the latest stable release":
- in the past there were issues with qemu stable releases causing issues on updates (this was before my time so no details).
- Due to these issues an SRU exception for those minor release updates was nacked by our Service folks
- in the meantime testing in general got much better so I was planning to suggest an SRU exception for qemu stable releases from 20.04 onwards (just intention so far, nothing committed into plans so far)

tags: added: qemu-19.04
Changed in qemu (Ubuntu):
status: New → In Progress
Changed in qemu (Ubuntu Bionic):
status: New → Triaged
Changed in qemu (Ubuntu Cosmic):
status: New → Triaged
Changed in ubuntu-power-systems:
status: New → Triaged
Launchpad Janitor (janitor) wrote :
Download full text (11.4 KiB)

This bug was fixed in the package qemu - 1:3.1+dfsg-2ubuntu1

---------------
qemu (1:3.1+dfsg-2ubuntu1) disco; urgency=medium

  * Merge with Debian testing, Among many other things this fixes LP Bugs:
    LP: #1806104 - fix misleading page size error on ppc64el
    LP: #1782205 - SnowRidge enabled new ISAs
    LP: #1786956 - upgrade to qemu >= 3.0
    LP: #1809083 - Backward migration to Xenial on ppc64el
    LP: #1803315 - s390x Huge page enablement
    LP: #1657409 - enable virglrenderer
    Remaining Changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-kvm.service: systemd unit to call qemu-kvm-init
      - d/qemu-system-common.install: install systemd unit and helper script
      - d/qemu-system-common.maintscript: clean old sysv and upstart scripts
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: install /etc/default/qemu-kvm
    - Enable nesting by default
      - d/qemu-system-x86.modprobe: set nested=1 module option on intel.
        (is default on amd)
      - d/qemu-system-x86.postinst: re-load kvm_intel.ko if it was loaded
        without nested=1
      - d/p/ubuntu/expose-vmx_qemu64cpu.patch: expose nested kvm by default
        in qemu64 cpu type.
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
      - d/qemu-system-x86.README.Debian: document intention of nested being
        default is comfort, not full support
    - Distribution specific machine type (LP: 1304107 1621042 1776189 1761372)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types
      - d/qemu-system-x86.NEWS Info on fixed machine type defintions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - d/p/ubuntu/lp-1761372-*: provide pseries-bionic-2.11-sxxm type as
        convenience with all meltdown/spectre workarounds enabled by default.
        (LP: 1761372).
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - s390x support
      - Create qemu-system-s390x package
      - Enable numa support for s390x
    - arch aware kvm wrappers
    - d/control: update VCS links (updated to match latest Ubuntu)
    - qemu-guest-agent: freeze-hook fixes (LP: 1484990)
      - d/qemu-guest-agent.install: provide /etc/qemu/fsfreeze-hook
      - d/qemu-guest-agent.dirs: provide /etc/qemu/fsfreeze-hook.d
    - d/control-in: enable RDMA support in qemu (LP: 1692476)
        - enable RDMA config option
        - add libibumad-dev build-dep
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe...

Changed in qemu (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-power-systems:
status: Triaged → In Progress
description: updated

The target releases for the backports are qemu 2.11 and 2.12
The second suggested patch [1] does not make sense/apply there.

The feature it tries to "not migrate" was only added in qemu 3.0 itself via [2] and therefore should be no problem between xenial (2.5) and Bionic/cosmci (2.11/2.12)

While preparing and building for the test PPAs I'll just skip this patch and apply only the other two. Let me know if you think or request otherwise (but then we'd need to pull [2] as well I guess).

[1]: https://git.qemu.org/?p=qemu.git;a=commit;h=aef19c04bf88e0f5f936301e6c29b239e488fbc6
[2]: https://git.qemu.org/?p=qemu.git;a=commit;h=a324d6f166970f8f6a82c61ffd2356fbda81c8f4

FYI - the fix for this bug as an SRUs is ready and testable from a PPA for
Cosmic [1] and Bionic [2].

I'm gonna check the test instructions myself by testing that from the PPA before uploading to the SRU queue.

In addition I'll push these PPAs through the automated regression tests for qemu/libvirt.

[1]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3620
[2]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3621

description: updated
description: updated

I tested the SRU testcase
1. it triggers as expected
2. the builds from the PPA fix it as expected

That said this would be ready to go to the SRU queue, but I want to run the general regression test suite on the PPA first.

FYI: All Pre-Tests and Review complete - Uploaded to the SRU queue of Bionic and Cosmic

Changed in qemu (Ubuntu Cosmic):
status: Triaged → In Progress
Changed in qemu (Ubuntu Bionic):
status: Triaged → In Progress

Hello bugproxy, or anyone else affected,

Accepted qemu into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/qemu/1:2.12+dfsg-3ubuntu8.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in qemu (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Download full text (5.3 KiB)

I was using a disco guest this time (as I tried B before to cover more variants)
Note: the libvirt in disco realizes we are doing tricky bullshit (withotu shared storage), but since we know it works we set --unsafe to force it trying the migration C->X and it works.

Without fix:
1. migrate Xenial -> Cosmic
$ virsh migrate --live --verbose --copy-storage-all disco-migrate qemu+ssh://10.245.71.165/system
setlocale: No such file or directory
The authenticity of host '10.245.71.165 (10.245.71.165)' can't be established.
ECDSA key fingerprint is SHA256:USOw9WaJkZbtcHayQX5AnfKYRpCCPQYvGYXxoVphop8.
Are you sure you want to continue connecting (yes/no)? yes
Migration: [100 %]

2. migrate Cosmic -> Xenial
$ virsh migrate --live --verbose --unsafe disco-migrate qemu+ssh://10.245.71.187/system
Migration: [100 %]error: operation failed: job: unexpectedly failed

In the logs I find:
source:
019-02-07 09:18:40.005+0000: initiating migration
target:
2019-02-07T09:18:44.431313Z qemu-system-ppc64: error while loading state for instance 0x0 of device 'cpu'
2019-02-07T09:18:44.432060Z qemu-system-ppc64: load of migration failed: Invalid argument

Installing Cosmic qemu from proposed worked fine
$ sudo apt install $(apt list --upgradable 2>&1 | awk '/^qemu/ {gsub("/.*",""); print $0}' | xargs)
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  samba vde2 openbios-ppc openhackware debootstrap
The following packages will be upgraded:
  qemu-block-extra qemu-kvm qemu-system-common qemu-system-data qemu-system-gui qemu-system-ppc qemu-utils
7 upgraded, 0 newly installed, 0 to remove and 16 not upgraded.
Need to get 10.3 MB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://ports.ubuntu.com/ubuntu-ports cosmic-proposed/main ppc64el qemu-utils ppc64el 1:2.12+dfsg-3ubuntu8.3 [1055 kB]
Get:2 http://ports.ubuntu.com/ubuntu-ports cosmic-proposed/main ppc64el qemu-system-common ppc64el 1:2.12+dfsg-3ubuntu8.3 [32.4 kB]
Get:3 http://ports.ubuntu.com/ubuntu-ports cosmic-proposed/main ppc64el qemu-block-extra ppc64el 1:2.12+dfsg-3ubuntu8.3 [42.4 kB]
Get:4 http://ports.ubuntu.com/ubuntu-ports cosmic-proposed/main ppc64el qemu-system-data all 1:2.12+dfsg-3ubuntu8.3 [703 kB]
Get:5 http://ports.ubuntu.com/ubuntu-ports cosmic-proposed/main ppc64el qemu-kvm ppc64el 1:2.12+dfsg-3ubuntu8.3 [12.7 kB]
Get:6 http://ports.ubuntu.com/ubuntu-ports cosmic-proposed/main ppc64el qemu-system-ppc ppc64el 1:2.12+dfsg-3ubuntu8.3 [8429 kB]
Get:7 http://ports.ubuntu.com/ubuntu-ports cosmic-proposed/main ppc64el qemu-system-gui ppc64el 1:2.12+dfsg-3ubuntu8.3 [35.0 kB]
Fetched 10.3 MB in 7s (1440 kB/s)
(Reading database ... 114642 files and directories currently installed.)
Preparing to unpack .../0-qemu-utils_1%3a2.12+df...

Read more...

tags: added: verification-done verification-done-cosmic
removed: verification-needed verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:2.12+dfsg-3ubuntu8.3

---------------
qemu (1:2.12+dfsg-3ubuntu8.3) cosmic; urgency=medium

  * d/p/ubuntu/lp-1806104-spapr_pci-Remove-unhelpful-pagesize-warning.patch:
    remove misleading page size warning on qemu-system-ppc64 (LP: #1806104)
  * d/p/ubuntu/lp-1812384-s390x-Return-specification-exception.patch: ensure
    a proper exception on unknown diag 308 subcodes
    (LP: #1812384)
  * d/p/ubuntu/lp-1809083-*: fix backward migration on ppc64el (LP: #1809083)

 -- Christian Ehrhardt <email address hidden> Thu, 31 Jan 2019 14:28:19 +0100

Changed in qemu (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for qemu has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers